Subject: Re: bug#12339: [PATCH] rm: avoid bogus diagnostic for a slash-decorated symlink-to-dir

From: "Linda A. Walsh" <[email-masked]>
Date: Tue, 04 Sep 2012 23:58:38 -0700

Paul Eggert wrote:
> On 09/04/2012 06:55 PM, Linda A. Walsh wrote:
>  
>   
>> So how do delete all files in the directory without wild cards?
>>     
>
> Why tie your hands behind your back?  Use wild cards:
>
>   cd DIRECTORY && rm -fr * .[!.] .??*
>
> If you do this a lot, put it into a shell script.
> It's not like the need is all that common, for most people,
> but if you need it that's what scripts are for.
>
> If you fiddle with your shell settings about
> how wildcards are expanded, make
> sure your script does wildcards in the standard way.
>   
---
    I'm not talking for interactive use... I'm talking for use in a script
that might run on systems that are not mine -- so I can't rely on shell 
settings.